latest network-manager segfaults in disco

Bug #1815742 reported by Bas Zoetekouw on 2019-02-13
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
network-manager (Ubuntu)
High
Unassigned

Bug Description

When I updated to the latest version of networkmanager in disco dingo (1.15.2-0ubuntu1), it started segfaulting. Reverting to the version in cosmic (1.12.4-1ubuntu1.2) solved the problem.

Syslog shows the following (will attach a more complete log):

feb 13 10:39:45 regan NetworkManager[2315]: NetworkManager:ERROR:src/settings/nm-settings-plugin.c:147:_nm_settings_plugin_emit_signal_connection_added: assertion failed: ((((__extension__ ({ GTypeInstance *__inst = (GTypeInstance*) ((sett_conn)); GType __t = ((nm_settings_connection_get_type ())); gboolean __r; if (!__inst) __r = (0); else if (__inst->g_class && __inst->g_class->g_type == __t) __r = (!(0)); else __r = g_type_check_instance_is_a (__inst, __t); __r; })))))
feb 13 10:39:45 regan NetworkManager[2315]: <info> [1550050785.3612] ifupdown: management mode: managed
feb 13 10:39:45 regan NetworkManager[2315]: invalid uninstantiatable type '(null)' in cast to 'NMSettingsConnection'
feb 13 10:39:45 regan systemd[1]: NetworkManager.service: Main process exited, code=dumped, status=6/ABRT
---
ProblemType: Bug
ApportVersion: 2.20.10-0ubuntu20
Architecture: amd64
CurrentDesktop: GNOME
DistroRelease: Ubuntu 19.04
InstallationDate: Installed on 2016-12-22 (782 days ago)
InstallationMedia: Ubuntu 16.10 "Yakkety Yak" - Release amd64 (20161012.2)
NetworkManager.state:
 [main]
 NetworkingEnabled=true
 WirelessEnabled=true
 WWANEnabled=true
Package: network-manager 1.12.4-1ubuntu1.2
PackageArchitecture: amd64
Tags: disco
Uname: Linux 4.19.0-1-amd64 x86_64
UpgradeStatus: Upgraded to disco on 2017-09-18 (512 days ago)
UserGroups: adm cdrom dialout dip docker libvirt lp lpadmin lxd plugdev sambashare scanner src sudo tss wireshark
_MarkForUpload: True
mtime.conffile..etc.NetworkManager.NetworkManager.conf: 2018-06-01T16:38:44.962715
nmcli-nm:
 RUNNING VERSION STATE STARTUP CONNECTIVITY NETWORKING WIFI-HW WIFI WWAN-HW WWAN
 running 1.12.4 connected started full enabled enabled enabled enabled enabled

Bas Zoetekouw (baszoetekouw) wrote :
tags: added: apport-collected disco
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Sebastien Bacher (seb128) wrote :

 Thank you for taking the time to report this bug and helping to make Ubuntu better. Please try to obtain a backtrace following the instructions at http://wiki.ubuntu.com/DebuggingProgramCrash and upload the backtrace (as an attachment) to the bug report. This will greatly help us in tracking down your problem.

Changed in network-manager (Ubuntu):
importance: Undecided → High
status: New → Incomplete
Sebastien Bacher (seb128) wrote :

Reported upstream also on https://gitlab.freedesktop.org/NetworkManager/NetworkManager/issues/124 , they might have a clue even without the backtrace

Bas Zoetekouw (baszoetekouw) wrote :

It took some effort getting a backtrace (apport didn't pick it up, for some reason, so I had to resort to systemd-corectl), but anyway, here is is. I'll add it to the upstream bug, too.

Bas Zoetekouw (baszoetekouw) wrote :
Sebastien Bacher (seb128) wrote :

Thank you for the effort (I'm adding to my list to check why apport is not working in that context)

Changed in network-manager (Ubuntu):
status: Incomplete → Triaged
Sebastien Bacher (seb128) wrote :
Changed in network-manager (Ubuntu):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package network-manager - 1.15.2-0ubuntu2

---------------
network-manager (1.15.2-0ubuntu2) disco; urgency=medium

  * debian/patches/git_ifupdown_segfault.patch:
    - 'settings/ifupdown: fix ifupdown plugin after merging eni_ifaces and
       connections hashes' (lp: #1815742)

 -- Sebastien Bacher <email address hidden> Mon, 18 Feb 2019 17:06:17 +0100

Changed in network-manager (Ubuntu):
status: Fix Committed → Fix Released
Bas Zoetekouw (baszoetekouw) wrote :
Download full text (8.7 KiB)

Unfortunately, NetworkManager is still segfaulting at the same line (src/settings/nm-settings-plugin.c:147)

╰─▶ dpkg -l network-manager|cat
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name Version Architecture Description
+++-===============-===============-============-=========================================================
ii network-manager 1.15.2-0ubuntu2 amd64 network management framework (daemon and userspace tools)

feb 26 14:15:31 regan systemd[1]: Started Process Core Dump (PID 27019/UID 0).
feb 26 14:15:32 regan systemd-coredump[27022]: Process 26991 (NetworkManager) of user 0 dumped core.

                                               Stack trace of thread 26991:
                                               #0 0x00007f566794f077 __GI_raise (libc.so.6)
                                               #1 0x00007f5667930535 __GI_abort (libc.so.6)
                                               #2 0x00007f5667efadc3 g_assertion_message (libglib-2.0.so.0)
                                               #3 0x00007f5667f55b7a g_assertion_message_expr (libglib-2.0.so.0)
                                               #4 0x0000562133f2d6d6 _nm_settings_plugin_emit_signal_connection_added (
                                               #5 0x00007f56683e059c initialize (libnm-settings-plugin-ifupdown.so)
                                               #6 0x0000562133ec7d90 add_plugin (NetworkManager)
                                               #7 0x0000562133ecb3a5 add_plugin_load_file (NetworkManager)
                                               #8 0x0000562133d6a0b1 nm_manager_start (NetworkManager)
                                               #9 0x0000562133d2efe9 main (NetworkManager)
                                               #10 0x00007f566793209b __libc_start_main (libc.so.6)
                                               #11 0x0000562133d2f31a _start (NetworkManager)

                                               Stack trace of thread 27006:
                                               #0 0x00007f5667a22219 syscall (libc.so.6)
                                               #1 0x00007f5667f78a3a g_cond_wait_until (libglib-2.0.so.0)
                                               #2 0x00007f5667eff0c1 g_async_queue_pop_intern_unlocked (libglib-2.0.so.
                                               #3 0x00007f5667f57412 g_thread_pool_wait_for_new_task (libglib-2.0.so.0)
                                               #4 0x00007f5667f5690d g_thread_proxy (libglib-2.0.so.0)
                                               #5 0x00007f5667b00164 start_thread (libpthread.so.0)
                                               #6 0x00007f5667a28def __clone (libc.so.6)

                                               Stack trace of thread 27003:
                                               #0 0x00007f5667a1c6d9 __G...

Read more...

Bas Zoetekouw (baszoetekouw) wrote :

reopened

Changed in network-manager (Ubuntu):
status: Fix Released → Confirmed

Sebastien Bacher (seb128) has already informed upstream on

https://gitlab.freedesktop.org/NetworkManager/NetworkManager/issues/124#note_126100

and following comments.

Changed in network-manager (Ubuntu):
assignee: nobody → Till Kamppeter (till-kamppeter)
Sebastien Bacher (seb128) wrote :

Do you still get the issue with the .91 update?
Upstream would like to get 'the /etc/network/interfaces file (and interfaces.d directory, if applicable)', can you get those if you still have the issue?

Changed in network-manager (Ubuntu):
assignee: Till Kamppeter (till-kamppeter) → nobody
status: Confirmed → Incomplete
Bas Zoetekouw (baszoetekouw) wrote :

The problem still occurs with the .91 version from disco-proposed.
I'll attach the requested files to the upstream report.

Sebastien Bacher (seb128) wrote :

Thanks!

Changed in network-manager (Ubuntu):
status: Incomplete → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package network-manager - 1.16.0-0ubuntu2

---------------
network-manager (1.16.0-0ubuntu2) disco; urgency=medium

  * debian/patches/git_ifupdown_iterator.patch:
    - ifupdown: fix connection iterator, should fix a segfault in the
      corresponding plugin (lp: #1815742)

 -- Sebastien Bacher <email address hidden> Tue, 02 Apr 2019 17:53:26 +0200

Changed in network-manager (Ubuntu):
status: Triaged → Fix Released
Sebastien Bacher (seb128) wrote :

I've backported the patch upstream recommended, it would be nice if you could give it a try to see if it really resolves your issue

Bas Zoetekouw (baszoetekouw) wrote :

Yes, this version works perfectly. Thanks!

Sebastien Bacher (seb128) wrote :

Great, thanks for testing!

To post a comment you must log in.